commit:     0da42baa6d35192b7edcc12ef961502e56faf1ca
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 16 13:55:53 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Jan 16 13:56:22 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0da42baa

dev-python/OutputCheck: fix Driver

remove deprecated open 'U' option

Closes: https://bugs.gentoo.org/891035
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 .../{OutputCheck-0.4.2.ebuild => OutputCheck-0.4.2-r1.ebuild} |  4 +++-
 dev-python/OutputCheck/files/OutputCheck-0.4.2-Driver.patch   | 11 +++++++++++
 2 files changed, 14 insertions(+), 1 deletion(-)

diff --git a/dev-python/OutputCheck/OutputCheck-0.4.2.ebuild 
b/dev-python/OutputCheck/OutputCheck-0.4.2-r1.ebuild
similarity index 87%
rename from dev-python/OutputCheck/OutputCheck-0.4.2.ebuild
rename to dev-python/OutputCheck/OutputCheck-0.4.2-r1.ebuild
index ca2d32009cbe..fc9ebef88ec2 100644
--- a/dev-python/OutputCheck/OutputCheck-0.4.2.ebuild
+++ b/dev-python/OutputCheck/OutputCheck-0.4.2-r1.ebuild
@@ -20,6 +20,8 @@ RESTRICT="!test? ( test )"
 
 BDEPEND="test? ( dev-python/lit[${PYTHON_USEDEP}] )"
 
+PATCHES=( "${FILESDIR}"/${P}-Driver.patch )
+
 src_prepare() {
        distutils-r1_src_prepare
 
@@ -33,5 +35,5 @@ src_prepare() {
 }
 
 python_test() {
-       lit "${S}"/tests || die "running test with ${EPYTHON} failed"
+       lit --verbose "${S}"/tests || die "running test with ${EPYTHON} failed"
 }

diff --git a/dev-python/OutputCheck/files/OutputCheck-0.4.2-Driver.patch 
b/dev-python/OutputCheck/files/OutputCheck-0.4.2-Driver.patch
new file mode 100644
index 000000000000..9812bd728e0c
--- /dev/null
+++ b/dev-python/OutputCheck/files/OutputCheck-0.4.2-Driver.patch
@@ -0,0 +1,11 @@
+--- a/OutputCheck/Driver.py
++++ b/OutputCheck/Driver.py
+@@ -34,7 +34,7 @@ ExitCode = enum('SUCCESS',
+ 
+ def main(args):
+     parser = argparse.ArgumentParser(description=__doc__)
+-    parser.add_argument('check_file', type=argparse.FileType('rU'), 
help='File containing check commands')
++    parser.add_argument('check_file', type=argparse.FileType('r'), help='File 
containing check commands')
+     parser.add_argument('--file-to-check=', type=argparse.FileType('r'), 
default='-', help='File to check (default %(default)s)')
+     parser.add_argument('--check-prefix=', default='CHECK', help='Prefix to 
use from check_file')
+     parser.add_argument("-l","--log-level",type=str, default="INFO", 
choices=['debug','info','warning','error'])

Reply via email to